Disable operator API service

Deactivate the published operator API service. After successful deactivation, the service can no longer be called.

HTTP
POST $CLOUDSIGMA_API_BASE/workflow/v2/workitems/catalog/$NODE_ID/api-service/disable?version=$VERSION

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

First View Service Configuration, confirm the service to be deactivated and its operator ID and version.

Request

Shell
curl -X POST "$CLOUDSIGMA_API_BASE/workflow/v2/workitems/catalog/$NODE_ID/api-service/disable?version=$VERSION" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Request parameters

ParameterTypeRequiredDescription
node_idstringRequiredThe ID of the operator to deactivate the service.
versionstringRequiredOperator version.

Successful response

The response returns the updated service configuration. The service has been deactivated; the service must be enabled before it can be called again.

The response fields are as follows.

JSON
{
  "code": "OK",
  "msg": "OK",
  "data": {
    "service": {
      "api_service_id": "api_2e859efcedc1e0efea48b465b2197784",
      "node_id": "moi:data.sql.process",
      "version": "v1",
      "service_name": "operator-api-37f61ebdaa18aa51",
      "status": "disabled"
    }
  }
}
FieldTypeDescription
codestringOK on success.
msgstringOK on success.
data.service.api_service_idstringService ID.
data.service.operator_idintegerPublished custom operator ID.
data.service.node_idstringOperator ID.
data.service.versionstringOperator version.
data.service.service_namestringService name.
data.service.statusstringThe updated service status; disabled means it cannot be called.
data.service.result_modestringThe result return mode of the service.
data.service.auth_modestringThe authentication mode of the service.
data.service.methodstringService calling method; returned if there is a value.
data.service.pathstringService call path; returned if there is a value.
data.service.workflow_idstringThe workflow ID associated with the service; returned if there is a value.
data.service.workflow_def_idstringThe workflow definition ID associated with the service; returned if there is a value.
data.service.workflow_version_idstringThe workflow version ID associated with the service; returned if there is a value.
data.service.input_schemastringThe serialized content of the input schema; returned if there is a value.
data.service.output_schemastringOutput the serialized content of schema; return if there is a value.
data.service.compute_resource_idstringThe computing resource ID used by the service; returned if there is a value.
data.service.timeout_secondsintegerTimeout for a single call, in seconds; returned if there is a value.
data.service.max_concurrencyintegerThe maximum number of concurrent calls; returned when there is a value.
data.service.rate_limit_per_minintegerMaximum number of calls per minute; returned if there is a value.
data.service.invokeobjectInformation required to call the service; returned if there is a value.
data.service.deploymentobjectService deployment information; returned if there is a value.

Error response

JSON
{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
FieldTypeDescription
codestringError code.
msgstringReadable error message.
datanull`null` in an error response.

Follow-up operations

After completion View operator API service configuration confirms the current status.

Last updated on